c78a82d43792d3e03de6522b380040395b80d767
 ui/auto/libperl-OBM/OBM/Parameters/regexp.pm | 4 ++--
 ui/obminclude/global.inc                     | 8 ++++----
 2 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/ui/auto/libperl-OBM/OBM/Parameters/regexp.pm b/ui/auto/libperl-OBM/OBM/Parameters/regexp.pm
index 5ffa578..1231eff 100644
--- a/ui/auto/libperl-OBM/OBM/Parameters/regexp.pm
+++ b/ui/auto/libperl-OBM/OBM/Parameters/regexp.pm
@@ -64,10 +64,10 @@ require OBM::Parameters::common;
 $regexp_id = '^[0-9]+$';
 
 # Domain regexp
-$regexp_domain = '^([a-z0-9-]+\.)+[a-z]{2,6}$';
+$regexp_domain = '^([a-z0-9-]+\.)+[a-z]{2,12}$';
 
 # Email
-$regexp_email = '^[a-z0-9!#$%&\'*+/=?^_`{|}~-]+(?:\.[a-z0-9!#$%&\'*+/=?^_`{|}~-]+)*@([a-z0-9-]+\.)+[a-z]{2,6}$';
+$regexp_email = '^[a-z0-9!#$%&\'*+/=?^_`{|}~-]+(?:\.[a-z0-9!#$%&\'*+/=?^_`{|}~-]+)*@([a-z0-9-]+\.)+[a-z]{2,12}$';
 $regexp_email_left = '^[a-z0-9!#$%&\'*+/=?^_`{|}~-]+(?:\.[a-z0-9!#$%&\'*+/=?^_`{|}~-]+)*$';
 $regexp_email_right = $regexp_domain;
 
diff --git a/ui/obminclude/global.inc b/ui/obminclude/global.inc
index 4867da6..197f030 100644
--- a/ui/obminclude/global.inc
+++ b/ui/obminclude/global.inc
@@ -847,7 +847,7 @@ if($cgp_use['service']['samba']) {
 
 $php_regexp_groupname = "/^[\w0-9]([\w0-9-._ ]{0,252}[\w0-9]){0,1}$/"; // group name
 $php_regexp_hostname = "/^[A-Za-z0-9][A-Za-z0-9-]{0,30}[A-Za-z0-9]$/"; // host
-$php_regexp_fqdn = "/^[A-Za-z0-9-]+(\.[A-Za-z0-9-]+)*\.[A-Za-z]{2,6}$/"; // Fqdn
+$php_regexp_fqdn = "/^[A-Za-z0-9-]+(\.[A-Za-z0-9-]+)*\.[A-Za-z]{2,12}$/"; // Fqdn
 $php_regexp_ip = '/^([1-2]?[0-9]{1,2}\.){3}[1-2]?[0-9]{1,2}$/'; // IP
 $php_regexp_ip = '/^(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$/';
 $php_regexp_network = '/^([1-2]?[0-9]{1,2}.){3}[1-2]?[0-9]{1,2}(\/[1-2]?[0-9])?$/'; // IP[/MASK]
@@ -864,10 +864,10 @@ $php_regexp_samba_drive = '/^[D-Z]?$/';
 
 
 // Email
-$php_regexp_domain = "/^([a-z0-9-]+\.)+[a-z]{2,6}$/"; // Domain
+$php_regexp_domain = "/^([a-z0-9-]+\.)+[a-z]{2,12}$/"; // Domain
 $php_regexp_email_name = "/^[a-zA-Z0-9!#\$%&\'*+\/=?^_`{|}~-]+(?:\.[a-zA-Z0-9!#\$%&\'*+\/=?^_`{|}~-]+)*$/";
-$php_regexp_email = "/^[a-zA-Z0-9!#\$%&\'*+\/=?^_`{|}~-]+(?:\.[a-zA-Z0-9!#\$%&\'*+\/=?^_`{|}~-]+)*@([aA-zZ0-9-]+\.)+[aA-zZ]{2,6}$/";
-$js_regexp_email = "/^[\w!#$%&'*+/=?^_`{|}~\-]+(\.[\w!#$%&'*+/=?^_`{|}~\-]+)?@([\w'\-]+\.)+[A-Za-z]{2,6}$/"; // Email
+$php_regexp_email = "/^[a-zA-Z0-9!#\$%&\'*+\/=?^_`{|}~-]+(?:\.[a-zA-Z0-9!#\$%&\'*+\/=?^_`{|}~-]+)*@([aA-zZ0-9-]+\.)+[aA-zZ]{2,12}$/";
+$js_regexp_email = "/^[\w!#$%&'*+/=?^_`{|}~\-]+(\.[\w!#$%&'*+/=?^_`{|}~\-]+)?@([\w'\-]+\.)+[A-Za-z]{2,12}$/"; // Email
 $php_regexp_quota = "/^[0-9]{1,6}$/";
 
 // Samba
